{
  config,
  lib,
  pkgs,
  ...
}:

with lib;

mkIf (elem "handheld-daemon" config.machine.services) {
  services.handheld-daemon = {
    enable = true;
    package = pkgs.hhd;
    user = (lib.elemAt config.machine.users 0).name;
    ui.enable = true;
  };
}
