{
  lib,
  config,
  pkgs,
  stylix,
  ...
}:

{
  imports = [
    stylix.nixosModules.stylix
  ];
}
// lib.mkIf (lib.elem "stylix" config.machine.services) {
  stylix = {
    enable = true;
    autoEnable = true;
    polarity = "dark";
    base16Scheme = "${pkgs.base16-schemes}/share/themes/catppuccin-mocha.yaml";
    fonts = {
      emoji = {
        name = "JetBrainsMono Nerd Font";
        package = pkgs.nerd-fonts.jetbrains-mono;
      };
      monospace = {
        name = "JetBrainsMono Nerd Font";
        package = pkgs.nerd-fonts.jetbrains-mono;
      };
    };
  };
}
