{
  config,
  lib,
  pkgs,
  ...
}:

with lib;
mkIf (elem "usbmuxd" config.machine.services) {
  services.usbmuxd = {
    enable = true;
  };

  environment.systemPackages = with pkgs; [
    libimobiledevice
    ifuse
  ];
}
